<div class="student-list-container">
  <div class="student-list-title">
    <h2>{{title}}</h2>
  </div>
  <table *ngIf="studentList.length > 0" mat-table [dataSource]="studentList" class="mat-elevation-z8">
    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
      <mat-cell *matCellDef="let student" class="column-id">
        <div class="action-marker"></div> {{student.id}}
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="firstname">
      <mat-header-cell *matHeaderCellDef> First Name </mat-header-cell>
      <mat-cell *matCellDef="let student"> {{student.firstname}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="lastname">
      <mat-header-cell *matHeaderCellDef> Last Name </mat-header-cell>
      <mat-cell *matCellDef="let student"> {{student.lastname}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="grade">
      <mat-header-cell *matHeaderCellDef> Grade </mat-header-cell>
      <mat-cell *matCellDef="let student"> {{student.grade}} </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row class="student-list-row" [ngClass]="{'student-list-row--selected': selectedStudent && (row.id === selectedStudent.id) }"
      (click)="selectStudent(row)" *matRowDef="let row; columns: displayedColumns;" matRipple></mat-row>
  </table>
  <div class="no-students-found" *ngIf="studentList.length === 0">
    <span>No students found</span>
  </div>
  <div class="student-card-container" *ngIf="selectedStudent">
    <sm-student-card [student]="selectedStudent" (gradeChange)="changeGrade($event)"></sm-student-card>
  </div>
</div>
